#ifndef GG_CONFIG_H
#define GG_CONFIG_H

#include <libxml/parser.h>
#include <libxml/tree.h>
#include <libxml/tree.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <unistd.h>

#include "defines.h"

using namespace std;


class gg_config {

  private:
    char *gamess_executable;
    char *gamess_data;
    char *gamess_scratch;
    char *gamess_options;

    int gamess_overwrite;
    int gamess_log;

    char *get_config_filename();

  public:
      gg_config();
     ~gg_config();

    void set_executable(char *);
    void set_data(char *);
    void set_scratch(char *);
    void set_options(char *);
    void set_log(int);
    void set_overwrite(int);

    char *get_executable();
    char *get_data();
    char *get_scratch();
    char *get_options();
    int get_log();
    int get_overwrite();


};
#endif // GG_CONFIG_H
