#ifndef GG_TASK_H
#define GG_TASK_H

#include <gtk/gtk.h>
#include <sys/types.h>

#include <config.h>

#include "defines.h"

enum {
    GG_TASK_RUNNING = 0,
    GG_TASK_COMPLETE,
    GG_TASK_STOPPED,
    GG_TASK_QUEUED
};

class gg_task {

  public:
    gg_task(char *);
     ~gg_task();
    char *filename;
    pid_t pid;
    int status;
    static void handler_destroy(gpointer);

    friend int operator==(const gg_task & left, const gg_task & right);

  private:



};

#endif // GG_TASK_H
