
#ifndef GG_FILE_SELECTOR_H
#define GG_FILE_SELECTOR_H

#include <glade/glade.h>
#include <gtk/gtk.h>
#include <gtk/gtk.h>

#include "gg_main_window.h"
#include "gg_config.h"

#include "defines.h"

class gg_file_selector {
  protected:
    GtkWidget * widget;
    _file_ok_handler ok_callback_func;
    void *ok_callback_data;

  public:
      gg_file_selector(_file_ok_handler, void *);
     ~gg_file_selector(void);


    static void handler_destroy(GtkWidget *, gpointer);
    void destroy();
    static void handler_ok(GtkObject *, gpointer);
    void ok(char *);

};

#endif // GG_FILE_SELECTOR_H
